summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2021-01-17 17:27:43 +0200
committerLars Wirzenius <liw@liw.fi>2021-01-17 17:27:43 +0200
commitb6210b2dd20d4bfe5d4a2c14aa2b075ea7d4c312 (patch)
treee09d3f372d29cd1ff57ba9fad41604100a20a935 /check
downloadmy-sites-b6210b2dd20d4bfe5d4a2c14aa2b075ea7d4c312.tar.gz
initial version
Diffstat (limited to 'check')
-rwxr-xr-xcheck9
1 files changed, 9 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..6fa29e0
--- /dev/null
+++ b/check
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -euo pipefail
+
+sp-docgen my-sites.md -o my-sites.html
+sp-docgen my-sites.md -o my-sites.pdf
+sp-codegen my-sites.md -o test.py
+rm -f test.log
+python3 test.py --log test.log "$@"